Bug 865505 - RFE: CPU definition should add ',+x2apic' regardless of the CPU model that the VM is using
RFE: CPU definition should add ',+x2apic' regardless of the CPU model that th...
Status: CLOSED WONTFIX
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-nova (Show other bugs)
1.0 (Essex)
Unspecified Unspecified
medium Severity medium
: ga
: 10.0 (Newton)
Assigned To: Daniel Berrange
yeylon@redhat.com
: FutureFeature
Depends On: 870484 956468 1059007
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-11 11:39 EDT by Yaniv Kaul
Modified: 2016-04-26 14:19 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-08 15:55:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yaniv Kaul 2012-10-11 11:39:19 EDT
Description of problem:
x2apic can provide some performance benefit (IBM measured 2-5% in IO), and is emulated, so you can pass it anyway, regardless of the CPU the host has.
Therefore, CPU should be:
-cpu <cpu>,+x2apic

Version-Release number of selected component (if applicable):
Essex

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
http://publib.boulder.ibm.com/infocenter/lnxinfo/v3r0m0/index.jsp?topic=%2Fliaat%2Fliaatbpkvmasynchio.htm
Comment 3 Daniel Berrange 2012-12-17 10:52:32 EST
This isn't possible until this bug is addressed:

https://bugzilla.redhat.com/show_bug.cgi?id=870484

Note You need to log in before you can comment on or make changes to this bug.